/*

  HG7881 Dual Motor Driver (1 Motor)

  Parts required:
  - Arduino Board
  - HG7881 Dual Motor Driver
  - Motor
  - Power supply

  Programming by René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 17 Mar 2020
  Version : v1.0

  Alle dele kan købes på www.arduinotech.dk

*/

int motorAPin_A1 = 2;                           // motor A direction
int motorAPin_B1 = 3;                           // motor A speed

void setup() {
  pinMode(motorAPin_A1, OUTPUT);                // set motorAPin_A1 to OUTPUT
  pinMode(motorAPin_B1, OUTPUT);                // set motorAPin_B1 to OUTPUT
}

void loop() {

  // Motor A (Clockwise)
  digitalWrite(motorAPin_A1, LOW);              // set motor A to rotate clockwise

  for (int value = 0; value <= 255; value++) {  // set motor A speed value from 0 to 255 do
    analogWrite(motorAPin_B1, value);           // set motor A speed
    delay(40);                                  // wait 40 ms
  }
  analogWrite(motorAPin_B1, 0);                 // set motor A to full stop

  delay(3000);                                  // wait 3000 ms

  // Motor A (Anti Clockwise)
  digitalWrite(motorAPin_A1, HIGH);             // set motor A to rotate anti clockwise

  for (int value = 255; value >= 0; value--) {  // set motor A speed value from 2550 to 0 do
    analogWrite(motorAPin_B1, value);           // set motor A speed
    delay(40);                                  // wait 40 ms
  }
  analogWrite(motorAPin_B1, 255);               // set motor A to full stop

  delay(3000);                                  // wait 3000 ms
}
